CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra: CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SHalfloop Class Reference

CGAL 6.1.2 - 3D Boolean Operations on Nef Polyhedra

Loading...
Searching...
No Matches
List of all members
CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SHalfloop Class Reference
Reference Manual

`#include <CGAL/Nef_polyhedron_3.h>`

## Definition

template<class Nef_polyhedronTraits_3, class Nef_polyhedronItems_3 = CGAL::Default_items<Nef_polyhedronTraits_3> class Nef_polyhedronMarks = bool>
class CGAL::Nef_polyhedron_3< Nef_polyhedronTraits_3, Nef_polyhedronItems_3 >::SHalfloop

A shalfloop is a great circle on a sphere map.

Figure figureNef3HalfloopIncidences depicts the relationship between a shalfloop and its incident shalfloops, and sfaces on a sphere map. A shalfloop is an oriented sloop. It is always paired with a shalfloop whose supporting `Sphere_circle` is pointing in the opposite direction. The `twin()` member function returns this shalfloop of opposite orientation.

A sphere map having a shalfloop models the neighborhood of a vertex which is isolated on a facet. That facet is returned by the member function `facet`.

Creation

There is no need for a user to create a `SHalfloop` explicitly. The class `Nef_polyhedron_3<Traits>` manages the needed shalfloops internally.

See also
  `CGAL::Nef_polyhedron_3::Halffacet`
  `CGAL::Nef_polyhedron_3::SFace`
  `CGAL::Nef_polyhedron_S2::Sphere_point`

## Types
The following types are the same as in `Nef_polyhedron_3<Traits>`.
typedef unspecified_type | Mark
| type of mark.
typedef unspecified_type | Sphere_circle
| sphere circle type stored in SHalfloop.
typedef unspecified_type | Halffacet_const_handle
| const handle to Halffacet.
typedef unspecified_type | SHalfloop_const_handle
| const handle to SHalfloop.
typedef unspecified_type | SFace_const_handle
| const handle to SFace.

## Operations
const Mark & | mark () const
| the mark of `se` .
const Sphere_circle & | circle () const
| the sphere circle of `se` .
SHalfloop_const_handle | twin () const
| the twin of `se` .
Halffacet_const_handle | facet () const
| the facet that corresponds to `se` in the 3D incidence structure.
SFace_const_handle | incident_sface () const
| the incident sface of `se` .